Bug 242682 - mctrans - Wrong init script
Summary: mctrans - Wrong init script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mcstrans   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Conklin
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On: 242680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 13:16 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 17:56:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-06-05 13:16:46 UTC
+++ This bug was initially created as a clone of Bug #242680 +++

Description of problem:
The mcstrans init script fails to invoke the status command in several
occasions, namely these commands prevent it in some cases:
test `id -u` = 0  || exit 4
test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
test -x /sbin/mcstransd  || exit 5
the exit 4 if the user is not root might be correct(i.e. for user with not
sufficient privilegues, the state is unknown), but the exit code 5 if the
mcstransd is not executable definitely is not. I'm not sure about line
containing exit 0.

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Daniel Walsh 2007-07-10 14:32:52 UTC
Steve can you take a look at fixing these?


Note You need to log in before you can comment on or make changes to this bug.